function [probability, expectation] = expo(n)
% x~Exp(1). Calculate the probability that X is in (0,2)
% Calculate the expected value for x^2

% calculation of probability
q = @(y) 2.*exp(-2.*y);

% generate uniforms
u = rand(1,n);
probability = mean(q(u)); % sample mean

% expectation part
% define the function for integration
h = @(y) (((1 - y) ./ y).^2) .* exp((y-1)./y)./(y.^2);

% generate random uniforms
u = rand(1,n);
expectation = mean(h(u)); % take the sample mean

end